PImage metalog;
boolean runonce;

void showTeoria ()
{
  int h, w;
  float l, fontsize;
  h=int(height*0.8);
  w=int(width*0.8);
  fontsize = 14;
  
  // BOTOES MANAGEMENT

  if (next.isSelected()) 
  {
    if (teo<4) teo++;
    else teoria.unSelect();
    runonce=false;
    next.unSelect();
    controls.unSelect();
  }
  if (prev.isSelected()) 
  {
    if (teo>1) teo--;
    else teoria.unSelect();
    runonce=false;
    prev.unSelect();
    controls.unSelect();
  }
 
  pushMatrix();
  //fill (255,120);
  //rect (0,0,width, height);
  
  translate ((width-w)/2, (height-h)/2-15);
  fill (180,220,250,220);
  noStroke();
  rect (0,0, w, h);

  fill(0);
  textAlign(CENTER);
  textFont (verd, 18);
  text ("METALOGRAFIA",w/2, 30);
  textAlign(LEFT);
  
  
  textFont (verdS, 15);
  
  switch (teo)
  {
    case 1:
    
    text ("Esta animação ilustra a micrografia de um material policristalino feita em\n"+
          "um microscópio ótico. Este tipo de análise denomina-se metalografia.\n"+
          "Uma amostra é preparada polindo-se sua superfície por meio de diversos\n"+
          "processos, obtendo-se ao fim um acabamento liso e espelhado. Executa-se\n"+
          "então um tratamento químico cuja reatividade depende da orientação\n"+
          "cristalográfica da superfície dos grãos, fazendo com que eles reajam \n"+
          "diferentemente. Como consequência dos processos polimento - ataque químico\n"+
          "mencionados, a luz que incide normalmente na amostra é refletida em angulos\n"+
          "diferentes por cada grão, possibilitando sua identificação, bem como dos \n"+
          "contornos\nde grão."

          ,15, 80);
          
    text ("VOLTAR", 50,434);
    textAlign(CENTER);
    text ("Clque\naqui\npara\ncontinuar", 500,374);
    textAlign(LEFT);
     
    image (metalog, 140,250);
    textFont(verdSS,8);
    text ("INVESTIGAÇÃO   DA   ESTABILIDADE   DE  MATERIAIS   BIOCOMPATÍVEIS  POR\nANÁLISE MICROESTRUTURAL. Soc. Brasileira de Química - 23ªReunião Anual\n", 140,455);
     //http://www.sbq.org.br/ranteriores/23/resumos/0301/index.html
     
    break;
    
    case 2:
  
    if (!runonce) 
    {
      ro=3500;
      th=-PI/4;
      fi=0.7;
      focX=1200;//width/2;
      focY=1200;//height/2;
      mx=roamW/2;
      my=roamH/2;
      
      runonce=true;
    }
    
    text ("A imagem abaixo representa a amostra em um espaço tridimendional.\n"+
          "Cada grão reflete a luz em um ângulo diverso, gerando diferentes tons\n"+
          "de cinza em diferentes ângulos de visão.\n"+
          "As partes mais claras correspondem aos planos cuja direção normal está \n"+
          "mais alinhada com a direção da câmera.\n"

          ,15, 80);
    
    pushStyle();
    
    fill (200,120);
    rect (10,330,95,90);
    
    image (mouse, 35,355);
    
    tint(127,250,200);
    image (rotacao, 70,335,30,30);
    
    tint (127,200,250);
    image (seta, 15,380);
    
    tint (200,240,255);
    image (Main, 110,170,360,300);

    popStyle();
    
    break;
    
    
    case 3:
    
    text ("A imagem vista ao microcópio corresponde a visão normal em relação à\n"+
          "superfície da amostra, como ilustrado abaixo. Nessa situação, a luz incide \n"+
          "verticalmente na amostra e o brilho de seu reflexo varia com o ângulo \n"+
          "do plano cristalográfico. Quanto maior o brilho, menor o ângulo\n"+
          "formado entre a normal do plano e a direção da visão do observador.\n"

          ,15, 80);
    
    if (!runonce) 
    {
      ro=2200;
      fi=0.0001;
      th=PI;
      focX=1200;//width/2;
      focY=1200;//height/2;
      mx=roamW/2;
      my=roamH/2;
      
      runonce=true;
    }
    
    pushStyle();
    
    fill (200,120);
    rect (10,330,95,90);
    
    image (mouse, 35,355);
    
    tint(127,250,200);
    image (rotacao, 70,335,30,30);
    
    tint (127,200,250);
    image (seta, 15,380);
    
    tint (200,240,255);
    image (Main, 110,170,360,300);

    popStyle();
    
    break;
    
    
    case 4:
    
    text ("Para mudar a visão da câmera no espaço tridimensional, existem \n"+
"                                                                                                                       3 controles:"+
          "\nROTAÇÃO:\n\n"+
          "MOUSE - Arrastando o botão esquerdo (direito quando esta janela estiver \n"+
          "ativa) do mouse é possível rotacionar a amostra em torno do eixo vertical\n"+
          "e do eixos horizontal ortogonal à direção da câmera. \n"+
          "\n TRANSLAÇÃO:\n\n"+
          "MAPA - A região azul escura no canto superior direito da janela é o Mapa, \n"+
          "onde é possível determinar a posição do foco da camera (centro da visão)\n"+
          "clicando ou arrastando o mouse em qualquer ponto dentro do retângulo\n\n"+
          "JOYSTICK - O circulo azul claro no canto inferior direito da janela é o \n"+
          "Joystick. Ele permite navegar pelo espaço no plano da superfície da\n"+
          "amostra. Clique e segure o mouse em uma direção da região azul para\n"+
          "movimentar a câmera nessa direção até alcancar os limites da amostra."

          ,15, 80);
          
    text ("FIM", 486,434);
    
    if (!runonce) 
    {
      runonce=true;
    }
    
    if (!maisinfo.isSelected()) controlst.display();
    
    pushMatrix();
    pushStyle();
    resetMatrix();
    image (Camxy, width-roamW, 0);
    tint (255,150); // trickery
    image (Joy, joyX-joyRad, joyY-joyRad); 
    popStyle();
    popMatrix();
    
    //image (Camxy, 110,170);
  }
  
  // BOTOES DISPLAY
  next.display();
  prev.display();
  
  popMatrix();
}

